package com.shanghaichengdi.common.enums;

import java.util.EnumSet;
import java.util.HashMap;
import java.util.Map;

/**
 * @ClassName ArrivalOrLeaveEnum
 * @Author Tevin
 * @DATE 2025/1/7 10:32
 * @Description TODO
 **/
public enum ArrivalOrLeaveEnum {
    ARRIVAL(0, "进港"),
    LEAVE(1, "出港");

    private int statusCode;

    private String desc;

    public int getStatusCode() {
        return statusCode;
    }

    public void setStatusCode(int statusCode) {
        this.statusCode = statusCode;
    }

    public String getDesc() {
        return desc;
    }

    public void setDesc(String desc) {
        this.desc = desc;
    }


    ArrivalOrLeaveEnum(int statusCode, String desc) {
        this.desc = desc;
        this.statusCode = statusCode;
    }

    //创建MAP对象
    private static final Map<Integer, String> map = new HashMap<>();

    static {
        //赋值
        for (ArrivalOrLeaveEnum t : EnumSet.allOf(ArrivalOrLeaveEnum.class)) {
            map.put(t.getStatusCode(), t.getDesc());
        }
    }

    public static String getDesc(int statusCode) {
        return map.get(statusCode);
    }
}
