package com.shanghaichengdi.common.enums;

import java.util.EnumSet;
import java.util.HashMap;
import java.util.Map;

/**
 * @ClassName isValidEnum
 * @Author Tevin
 * @DATE 2024/12/30 18:58
 * @Description TODO
 **/
public enum IsValidEnum {
    VALID_1(1,"有效"),

    VALID_0(2,"无效");


    private int statusCode;

    private String desc;

    public int getStatusCode() {
        return statusCode;
    }

    public void setStatusCode(int statusCode) {
        this.statusCode = statusCode;
    }

    public String getDesc() {
        return desc;
    }

    public void setDesc(String desc) {
        this.desc = desc;
    }


    IsValidEnum(int statusCode, String desc){
        this.desc = desc;
        this.statusCode = statusCode;
    }

    //创建MAP对象
    private static final Map<Integer, String> map = new HashMap<>();

    static {
        //赋值
        for (IsValidEnum t : EnumSet.allOf(IsValidEnum.class)) {
            map.put(t.getStatusCode(), t.getDesc());
        }
    }

    public static String getDesc(int statusCode) {
        return map.get(statusCode);
    }
}
