package com.shanghaichengdi.common.enums;

import java.util.EnumSet;
import java.util.HashMap;
import java.util.Map;

/**
 * @ClassName SendMsgFlagEnum
 * @Author Tevin
 * @DATE 2025/1/3 13:50
 * @Description TODO
 **/
public enum SendMsgFlagEnum {
    UNSENT(0, "未发送"),
    SENT(1, "已发送");

    private int statusCode;

    private String desc;

    public int getStatusCode() {
        return statusCode;
    }

    public void setStatusCode(int statusCode) {
        this.statusCode = statusCode;
    }

    public String getDesc() {
        return desc;
    }

    public void setDesc(String desc) {
        this.desc = desc;
    }


    SendMsgFlagEnum(int statusCode, String desc) {
        this.desc = desc;
        this.statusCode = statusCode;
    }

    //创建MAP对象
    private static final Map<Integer, String> map = new HashMap<>();

    static {
        //赋值
        for (SendMsgFlagEnum t : EnumSet.allOf(SendMsgFlagEnum.class)) {
            map.put(t.getStatusCode(), t.getDesc());
        }
    }

    public static String getDesc(int statusCode) {
        return map.get(statusCode);
    }

}

