package com.shanghaichengdi.dao.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 船舶污染物预警_船舶白名单
 * </p>
 *
 * @author Tevin
 * @since 2024-12-25
 */
@Getter
@Setter
@TableName("GHJG_BASICS.BOAT_POLLUTANT_WHITE_LIST")
public class BoatPollutantWhiteList implements Serializable {

    private static final long serialVersionUID = 1L;

    private String code;

    /**
     * 船舶名称
     */
    private String boatName;

    /**
     * 船舶识别号
     */
    private String shipId;

    /**
     * 船舶登记号
     */
    private String shipRegNo;

    /**
     * MMSI编号
     */
    private String mmsi;

    /**
     * 是否有效数据：1有效；0无效
     */
    private Short isvalid;
}
