package com.shanghaichengdi.dao.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 污染物预警_市内短驳船
 * </p>
 *
 * @author Tevin
 * @since 2024-12-25
 */
@Getter
@Setter
@TableName("GHJG_BASICS.BOAT_SHORT_BARGE")
public class BoatShortBarge implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 船舶识别号
     */
    @TableId("SHIP_ID")
    private String shipId;

    /**
     * 船舶名称
     */
    private String shipName;

    /**
     * MMSI
     */
    private Integer mmsi;

    /**
     * 申报人
     */
    private String bidName;

    /**
     * 申报人电话
     */
    private String mobilePhone;
}
