package com.shanghaichengdi.dao.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

@Data
@TableName("NHDT.GPSINFO_HISTORY")
public class GpsinfoHistory implements Serializable {
    private String deviceid;

    private String messagecode;

    private BigDecimal mapx;

    private BigDecimal mapy;

    private BigDecimal velocity;

    private BigDecimal direction;

    private Date gpstime;

    private BigDecimal boatstate;

    private BigDecimal isputcoord;

    private BigDecimal alarmstate;

    private BigDecimal accstate;

    private BigDecimal latitude;

    private BigDecimal longitude;

    private Short infsource;

    private String shipstate;

    public String getDeviceid() {
        return deviceid;
    }

    public void setDeviceid(String deviceid) {
        this.deviceid = deviceid;
    }

    public String getMessagecode() {
        return messagecode;
    }

    public void setMessagecode(String messagecode) {
        this.messagecode = messagecode;
    }

    public BigDecimal getMapx() {
        return mapx;
    }

    public void setMapx(BigDecimal mapx) {
        this.mapx = mapx;
    }

    public BigDecimal getMapy() {
        return mapy;
    }

    public void setMapy(BigDecimal mapy) {
        this.mapy = mapy;
    }

    public BigDecimal getVelocity() {
        return velocity;
    }

    public void setVelocity(BigDecimal velocity) {
        this.velocity = velocity;
    }

    public BigDecimal getDirection() {
        return direction;
    }

    public void setDirection(BigDecimal direction) {
        this.direction = direction;
    }

    public Date getGpstime() {
        return gpstime;
    }

    public void setGpstime(Date gpstime) {
        this.gpstime = gpstime;
    }

    public BigDecimal getBoatstate() {
        return boatstate;
    }

    public void setBoatstate(BigDecimal boatstate) {
        this.boatstate = boatstate;
    }

    public BigDecimal getIsputcoord() {
        return isputcoord;
    }

    public void setIsputcoord(BigDecimal isputcoord) {
        this.isputcoord = isputcoord;
    }

    public BigDecimal getAlarmstate() {
        return alarmstate;
    }

    public void setAlarmstate(BigDecimal alarmstate) {
        this.alarmstate = alarmstate;
    }

    public BigDecimal getAccstate() {
        return accstate;
    }

    public void setAccstate(BigDecimal accstate) {
        this.accstate = accstate;
    }

    public BigDecimal getLatitude() {
        return latitude;
    }

    public void setLatitude(BigDecimal latitude) {
        this.latitude = latitude;
    }

    public BigDecimal getLongitude() {
        return longitude;
    }

    public void setLongitude(BigDecimal longitude) {
        this.longitude = longitude;
    }

    public Short getInfsource() {
        return infsource;
    }

    public void setInfsource(Short infsource) {
        this.infsource = infsource;
    }

    public String getShipstate() {
        return shipstate;
    }

    public void setShipstate(String shipstate) {
        this.shipstate = shipstate;
    }
}