package com.shanghaichengdi.dao.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.shanghaichengdi.dao.entity.GpsinfoRealtime;
import com.shanghaichengdi.model.vo.BoatAISVO;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;

public interface GpsinfoRealtimeMapper extends BaseMapper<GpsinfoRealtime> {

    /**
     * 查询开始结束时间段内市内短驳船AIS实时数据
     *
     * @param startTime 开始时间
     * @param endTime   结束时间
     * @return 返回船舶AIS list
     */
    List<BoatAISVO> getShotBargeAisRealtime(@Param("startTime") Date startTime, @Param("endTime") Date endTime);
}