package com.shanghaichengdi.service;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.shanghaichengdi.common.enums.IsValidEnum;
import com.shanghaichengdi.dao.entity.DictDistrictPort;
import com.baomidou.mybatisplus.extension.service.IService;
import org.springframework.cache.annotation.Cacheable;

import java.util.List;

/**
 * <p>
 * 内河码头泊位字典表 服务类
 * </p>
 *
 * @author Tevin
 * @since 2024-12-25
 */
public interface IDictDistrictPortService extends IService<DictDistrictPort> {
    /**
     * 获取辖区大队配置字典
     * @return
     */
     List<DictDistrictPort> getDictDistrictPortList();
}
