package com.shanghaichengdi.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.shanghaichengdi.dao.entity.BoatShortBarge;
import com.shanghaichengdi.dao.mapper.BoatShortBargeMapper;
import com.shanghaichengdi.service.IBoatShortBargeService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

/**
 * <p>
 * 污染物预警_市内短驳船 服务实现类
 * </p>
 *
 * @author Tevin
 * @since 2024-12-25
 */
@Service
public class BoatShortBargeServiceImpl extends ServiceImpl<BoatShortBargeMapper, BoatShortBarge> implements IBoatShortBargeService {

    @Resource
    private BoatShortBargeMapper boatShortBargeMapper;

    @Override
    public Integer getOrdinaryBoatByMMSI(String mmsi) {
        return boatShortBargeMapper.getOrdinaryBoatByMMSI(mmsi);
    }

}
