package com.shanghaichengdi.common.enums;

import java.util.EnumSet;
import java.util.HashMap;
import java.util.Map;

/**
 * @ClassName SupervisionStateEnum
 * @Author Tevin
 * @DATE 2025/1/2 14:34
 * @Description TODO
 **/
public enum SupervisionStateEnum {

    SUPERVISING(1, "监管中"),

    SUPERVISE_OVER(2, "监管结束");


    private int statusCode;

    private String desc;

    public int getStatusCode() {
        return statusCode;
    }

    public void setStatusCode(int statusCode) {
        this.statusCode = statusCode;
    }

    public String getDesc() {
        return desc;
    }

    public void setDesc(String desc) {
        this.desc = desc;
    }


    SupervisionStateEnum(int statusCode, String desc) {
        this.desc = desc;
        this.statusCode = statusCode;
    }

    //创建MAP对象
    private static final Map<Integer, String> map = new HashMap<>();

    static {
        //赋值
        for (com.shanghaichengdi.common.enums.SupervisionStateEnum t : EnumSet.allOf(com.shanghaichengdi.common.enums.SupervisionStateEnum.class)) {
            map.put(t.getStatusCode(), t.getDesc());
        }
    }

    public static String getDesc(int statusCode) {
        return map.get(statusCode);
    }
}
