package com.shanghaichengdi.common.enums;

import java.util.EnumSet;
import java.util.HashMap;
import java.util.Map;

/**
 * @ClassName SupervisionTypeEnum
 * @Author Tevin
 * @DATE 2024/12/30 16:41
 * @Description TODO
 **/
public enum SupervisionTypeEnum {

    SHORT_BARGE(1,"市内短驳船"),

    ORDINARY_SHIP_TYPE(2,"普通船舶");





    private int statusCode;

    private String desc;

    public int getStatusCode() {
        return statusCode;
    }

    public void setStatusCode(int statusCode) {
        this.statusCode = statusCode;
    }

    public String getDesc() {
        return desc;
    }

    public void setDesc(String desc) {
        this.desc = desc;
    }


    SupervisionTypeEnum(int statusCode,String desc){
        this.desc = desc;
        this.statusCode = statusCode;
    }

    //创建MAP对象
    private static final Map<Integer, String> map = new HashMap<>();

    static {
        //赋值
        for (SupervisionTypeEnum t : EnumSet.allOf(SupervisionTypeEnum.class)) {
            map.put(t.getStatusCode(), t.getDesc());
        }
    }

    public static String getDesc(int statusCode) {
        return map.get(statusCode);
    }
}