package com.shanghaichengdi.dao.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.Date;

@Getter
@Setter
@TableName("GHJG_BUSSINESS.BOAT_WATER_POLLUTANT_ACCEPT_F")
public class BoatWaterPollutantAcceptF implements Serializable {
    /**
    * 排放船
    */
    private String shipName;

    /**
    * 开始时间
    */
    private String startTime;

    /**
    * 数据来源
    */
    private String sysid;

    /**
    * 编号
    */
    private String entRecevieId;

    /**
    * 申请单号
    */
    private String entApplyNo;

    /**
    * 接收人
    */
    private String firstUser;

    /**
    * 船舶类型0为船舶1为车
    */
    private String shipType;

    /**
    * 接收数量
    */
    private String receiveNum;

    /**
    * 船舶编号
    */
    private String shipId;

    /**
    * 计量单位
    */
    private String unit;

    /**
    * 接收船舶编号
    */
    private String receiveShipId;

    /**
    * 接受方式
    */
    private String receiveType;

    /**
    * 接受车船确认结束时间
    */
    private String endTime;

    /**
    * 创建时间
    */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private LocalDateTime firstDtm;

    /**
    * 作业方式
    */
    private String modelOfOperation;

    /**
    * 污染物类型
    */
    private String sewageType;

    /**
    * 之前作业方式
    */
    private String modeOfOperationOld;

    /**
    * 作业地点ID
    */
    private String ecgNo;

    /**
    * 主键
    */
    private String entRecevieNo;

    /**
    * 转运单主键
    */
    private String entTransportNo;

    /**
    * 修改时间
    */
    private String lastDtm;

    /**
    * 修改人
    */
    private String lastUser;

    /**
    * 接收状态
    */
    private String state;

    /**
    * 接收单位com_no公司主键
    */
    private String recevieCom;

    /**
    * 私有单证号
    */
    private String privateCode;

    /**
    * 维度
    */
    private String latitude;

    /**
    * 精度
    */
    private String longitude;

    /**
    * 状态
    */
    private String status;

    /**
    * 接收人
    */
    private String reveiveUser;

    /**
    * 服务车船主键
    */
    private String bvsNo;

    /**
    * 设备主键
    */
    private String beNo;

    /**
    * 照片
    */
    private String picture;

    /**
    * mmsi
    */
    private String mmsi;

    /**
    * 申请单主键
    */
    private String entApplyId;


}