package com.shanghaichengdi.dao.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 
 * </p>
 *
 * @author Tevin
 * @since 2024-12-25
 */
@Getter
@Setter
@TableName("GHJG_BASICS.MVW_BOAT_INFO")
public class MvwBoatInfo implements Serializable {

    private static final long serialVersionUID = 1L;

    private String shipRegNo;

    private String shipId;

    private String shipNameCn;

    private String shipNameEn;

    private String origShipNameCn;

    private String shipFirstregNo;

    private String shipImo;

    private String mmsi;

    private String regportCode;

    private String shipRouteCode;

    private String shipTypeCode;

    private String shipValue;

    private BigDecimal shipSummerDraft;

    private String shipWindLevel;

    private BigDecimal shipMinimumFreeboard;

    private Integer shipContainerNum;

    private Integer shipParkingNum;

    private Integer shipPassengerNum;

    private String icCardNo;

    private String mortgageFlag;

    private String bareboatFlag;

    private String alterFlag;

    private String statusFlag;

    private String handoutCardFlag;

    private String financialLeaseFlag;

    private String hibernateFlag;

    private String trialShipFlag;

    private String remark;

    private String shipInspectNo;

    private String shipCallsign;

    private String sailingareaCode;

    private String shipHullMaterialCode;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private LocalDateTime shipBuiltDate;

    private String shipyardCn;

    private String shipyardEn;

    private String shipBuiltAddrCn;

    private String shipBuiltAddrEn;

    private BigDecimal shipLength;

    private BigDecimal shipBreadth;

    private BigDecimal shipDepth;

    private BigDecimal shipGrosston;

    private BigDecimal shipNetton;

    private String shipDwt;

    private String shipEngineTypeCode;

    private BigDecimal shipEnginePower;

    private Long shipEngineNum;

    private Integer shipPropellerNum;

    private String shipPropellerKindCode;

    private String origRegportName;

    private String shipIdFlag;

    private String origShipNameEn;

    private String origShipRegNo;

    private String shipRegionType;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private LocalDateTime shipRebuiltDate;

    private String shipRebuiltAddrCn;

    private String shipRebuiltAddrEn;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private LocalDateTime origDeletionDate;

    private String permanentSealRemark;

    private String detentionFlag;

    private String shipidSealFlag;

    private String orgCode;

    private String creatorCode;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private LocalDateTime createTime;

    private String operatorCode;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private LocalDateTime operateTime;

    private String operateFlag;

    private String sourceCode;

    private String dataOrgCode;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private LocalDateTime createDate;

    private String creator;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private LocalDateTime lastUpdateDate;

    private String updateBy;

    private String deleteFlag;

    private String processStatus;

    private String shipOwnerCn;

    private String shipOwnerAddrCn;

    private String ownerLegalPerson;

    private String ownerContactPhone;

    private String shipTypeName;

    private String regportName;

    private String shipRouteName;
}
