package com.shanghaichengdi.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.shanghaichengdi.dao.entity.GpsinfoRealtime;
import com.shanghaichengdi.model.vo.BoatAISVO;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;

/**
 * @ClassName IGpsinfoRealtimeService
 * @Author Tevin
 * @DATE 2024/12/27 10:26
 * @Description TODO
 **/
public interface IGpsinfoRealtimeService extends IService<GpsinfoRealtime> {
    /**
     * 查询开始结束时间段内市内短驳船AIS实时数据
     *
     * @param startTime 开始时间
     * @param endTime   结束时间
     * @return 返回船舶AIS list
     */
    List<BoatAISVO> getShotBargeAisRealtime(@Param("startTime") Date startTime, @Param("endTime") Date endTime);
}
