
import com.baomidou.mybatisplus.generator.FastAutoGenerator;
import com.baomidou.mybatisplus.generator.config.OutputFile;
import com.baomidou.mybatisplus.generator.engine.FreemarkerTemplateEngine;

import java.nio.file.Paths;
import java.util.Arrays;
import java.util.Collections;
import java.util.List;

/**
  * @ClassName CodeGenerator
  * @Author Tevin
  * @DATE 2024/12/24 11:32
  * @Description TODO
**/
public class CodeGenerator {
         //生成代码的存放路径
     private static final String projectPath = "D:\\IdeaProjects\\gis\\pollution-warning\\src\\main\\";
     //jdbc url
     private static final String url = "jdbc:oracle:thin:@//198.39.1.218:1521/shhwdb";
     //数据库账号
     private static final String username = "ghjg_basics";
     //数据库密码
     private static final String password = "GHJG@123";
     // 设置父包名
     private static final String parentPackageName = "com.shanghaichengdi";
     // 设置父包模块名
     private static final String moduleName = "";
     // controller 包名
     private static final String controllerPackageName = "controller";
     // service 包名
     private static final String servicePackageName = "service";
     // entity 实体类包名
     private static final String entityPackageName = "dao.entity";
     // 设置作者
     private static final String author = "Tevin";
     //输出路径
     private static final String outPath = projectPath + "java";
     // 设置mapperXml 模板路径
     private static final String mapperPath = "dao.mapper";
     //需要生成的表名, 支持多表同时生成
     private static List<String> tableNames = Arrays.asList(
             "GHJG_BUSSINESS.BOAT_WATER_POLLUTANT_WARNING_S"
     );
     //过滤表前缀
     private static final String tablePrefix = "";

    public static void main(String[] args) {
        FastAutoGenerator.create(url, username, password)
                .globalConfig(builder -> builder
                        .author(author)
                        .outputDir(outPath)
                        .commentDate("yyyy-MM-dd")
                )
                .packageConfig(builder -> builder
                        .parent(parentPackageName)
                        .entity(entityPackageName)
                        .mapper(mapperPath)
                        .service(servicePackageName)
                        .serviceImpl(servicePackageName+".impl")
                        .pathInfo(Collections.singletonMap(OutputFile.xml, projectPath + "resources\\mapper"))
                )
                .strategyConfig(builder -> builder
                        .addInclude(tableNames) // 设置需要生成的表名
                        .entityBuilder()
                        .enableLombok()
                )
                .templateEngine(new FreemarkerTemplateEngine())
                .execute();
    }
}
